## com.gargoylesoftware.htmlunit.xml
Class XmlPage

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.DomNode
          com.gargoylesoftware.htmlunit.SgmlPage
              com.gargoylesoftware.htmlunit.xml.XmlPage

All Implemented Interfaces:
  Page, java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Document, org.w3c.dom.Node

    public class XmlPage

extends SgmlPage

A page that will be returned for response with content type "text/xml".

Version:
  $Revision: 4794 $
Author:
  Marc Guillemot, David K. Taylor, Ahmed Ashour
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`DomNode.ChildIterator, DomNode.DescendantElementsIterator`

Field Summary

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`AS_TEXT_BLANK, AS_TEXT_BLOCK_SEPARATOR, AS_TEXT_NEW_LINE, AS_TEXT_TAB, PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`XmlPage(org.w3c.dom.Node node, WebWindow enclosingWindow)` Creates an instance.
`XmlPage(WebResponse webResponse, WebWindow enclosingWindow)` Creates an instance.
`XmlPage(WebResponse webResponse, WebWindow enclosingWindow, boolean ignoreSAXException)` Creates an instance.

Method Summary
`org.w3c.dom.Node` `adoptNode(org.w3c.dom.Node source)` Not yet implemented.
`org.w3c.dom.Attr` `createAttribute(java.lang.String name)` Not yet implemented.
`org.w3c.dom.Attr` `createAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Not yet implemented.
`DomCDataSection` `createCDATASection(java.lang.String data)`
`org.w3c.dom.Comment` `createComment(java.lang.String data)` Not yet implemented.
`org.w3c.dom.DocumentFragment` `createDocumentFragment()` Not yet implemented.
`org.w3c.dom.Element` `createElement(java.lang.String tagName)` Creates an element, the type of which depends on the specified tag name.
`org.w3c.dom.Element` `createElementNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Create a new Element with the given namespace and qualified name.
`org.w3c.dom.EntityReference` `createEntityReference(java.lang.String name)` Not yet implemented.
`DomProcessingInstruction` `createProcessingInstruction(java.lang.String target, java.lang.String data)`
`org.w3c.dom.Text` `createTextNode(java.lang.String data)` Not yet implemented.
`DomElement` `createXmlElement(java.lang.String tagName)` Creates a new XML element with the given tag name.
`DomElement` `createXmlElementNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Creates a new XML element with the given namespace and qualified name.
`java.lang.String` `getContent()` Returns the content of the page.
`java.lang.String` `getDocumentURI()` Not yet implemented.
`org.w3c.dom.DOMConfiguration` `getDomConfig()` Not yet implemented.
`org.w3c.dom.Element` `getElementById(java.lang.String elementId)` Not yet implemented.
`org.w3c.dom.NodeList` `getElementsByTagName(java.lang.String tagname)` Not yet implemented.
`org.w3c.dom.NodeList` `getElementsByTagNameNS(java.lang.String namespace, java.lang.String name)` Not yet implemented.
`org.w3c.dom.DOMImplementation` `getImplementation()` Not yet implemented.
`java.lang.String` `getInputEncoding()` Not yet implemented.
`java.lang.String` `getPageEncoding()` Returns the page encoding.
`boolean` `getStrictErrorChecking()` Not yet implemented.
`org.w3c.dom.Document` `getXmlDocument()` Returns the DOM representation of the XML content.
`java.lang.String` `getXmlEncoding()` Not yet implemented.
`boolean` `getXmlStandalone()` Not yet implemented.
`java.lang.String` `getXmlVersion()` Not yet implemented.
`boolean` `hasCaseSensitiveTagNames()` Returns `true` if this page has case-sensitive tag names, `false` otherwise.
`org.w3c.dom.Node` `importNode(org.w3c.dom.Node importedNode, boolean deep)` Not yet implemented.
`org.w3c.dom.Node` `renameNode(org.w3c.dom.Node n, java.lang.String namespaceURI, java.lang.String qualifiedName)` Not yet implemented.
`protected void` `setDocumentType(DomDocumentType type)` Sets the document type.
`void` `setDocumentURI(java.lang.String documentURI)` Not yet implemented.
`void` `setStrictErrorChecking(boolean strictErrorChecking)` Not yet implemented.
`void` `setXmlStandalone(boolean xmlStandalone)` Not yet implemented.
`void` `setXmlVersion(java.lang.String xmlVersion)` Not yet implemented.

Methods inherited from class com.gargoylesoftware.htmlunit.SgmlPage
`asXml, cleanUp, clone, createDomDocumentFragment, getDoctype, getDocumentElement, getEnclosingWindow, getNodeName, getNodeType, getPage, getWebClient, getWebResponse, initialize, normalizeDocument, setEnclosingWindow`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNode

`addDomChangeListener, appendChild, asText, checkChildHierarchy, cloneNode, compareDocumentPosition, fireNodeAdded, fireNodeDeleted, getAllHtmlChildElements, getAncestors, getAttributes, getBaseURI, getByXPath, getCanonicalXPath, getChildNodes, getChildren, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getReadyState, getScriptObject, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, insertBefore, isAncestorOf, isBlock, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, isTrimmedText, lookupNamespaceURI, lookupPrefix, normalize, notifyIncorrectness, onAddedToPage, onAllChildrenAddedToPage, printChildrenAsXml, printXml, remove, removeAllChildren, removeChild, removeDomChangeListener, replace, replaceChild, selectNodes, selectSingleNode, setNextSibling, setNodeValue, setParentNode, setPrefix, setPreviousSibling, setReadyState, setScriptObject, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### XmlPage

    public XmlPage(WebResponse webResponse,
                   WebWindow enclosingWindow)
            throws java.io.IOException

  Creates an instance. A warning is logged if an exception is thrown while parsing the XML content (for instance when the content is not a valid XML and can't be parsed).

  Parameters:
    `webResponse` - the response from the server
    `enclosingWindow` - the window that holds the page
  Throws:
    `java.io.IOException` - if the page could not be created

### XmlPage

    public XmlPage(org.w3c.dom.Node node,
                   WebWindow enclosingWindow)

  Creates an instance. A warning is logged if an exception is thrown while parsing the XML content (for instance when the content is not a valid XML and can't be parsed).

  Parameters:
    `node` - the node to initialize this page with
    `enclosingWindow` - the window that holds the page

### XmlPage

    public XmlPage(WebResponse webResponse,
                   WebWindow enclosingWindow,
                   boolean ignoreSAXException)
            throws java.io.IOException

  Creates an instance. A warning is logged if an exception is thrown while parsing the XML content (for instance when the content is not a valid XML and can't be parsed).

  Parameters:
    `webResponse` - the response from the server
    `enclosingWindow` - the window that holds the page
    `ignoreSAXException` - Whether to ignore `SAXException` or throw it as `IOException`
  Throws:
    `java.io.IOException` - if the page could not be created

Method Detail

### hasCaseSensitiveTagNames

    public boolean hasCaseSensitiveTagNames()

  Returns `true` if this page has case-sensitive tag names, `false` otherwise. In general, XML has case-sensitive tag names, and HTML doesn't. This is especially important during XPath matching.

  Specified by:
    `hasCaseSensitiveTagNames` in class `SgmlPage`
  Returns:
    `true` if this page has case-sensitive tag names, `false` otherwise

### getContent

    public java.lang.String getContent()

  Returns the content of the page.

  Returns:
    the content of the page

### getXmlDocument

    public org.w3c.dom.Document getXmlDocument()

  Returns the DOM representation of the XML content.

  Returns:
    `null` if the content couldn't be parsed

### createXmlElement

    public DomElement createXmlElement(java.lang.String tagName)

  Creates a new XML element with the given tag name.

  Parameters:
    `tagName` - the tag name
  Returns:
    the new XML element

### createXmlElementNS

    public DomElement createXmlElementNS(java.lang.String namespaceURI,
                                         java.lang.String qualifiedName)

  Creates a new XML element with the given namespace and qualified name.

  Parameters:
    `namespaceURI` - the URI that identifies an XML namespace
    `qualifiedName` - the qualified name of the element type to instantiate
  Returns:
    the new XML element

### adoptNode

    public org.w3c.dom.Node adoptNode(org.w3c.dom.Node source)

  Not yet implemented.

### createAttribute

    public org.w3c.dom.Attr createAttribute(java.lang.String name)

  Not yet implemented.

### createAttributeNS

    public org.w3c.dom.Attr createAttributeNS(java.lang.String namespaceURI,
                                              java.lang.String qualifiedName)

  Not yet implemented.

### createCDATASection

    public DomCDataSection createCDATASection(java.lang.String data)

### createComment

    public org.w3c.dom.Comment createComment(java.lang.String data)

  Not yet implemented.

### createDocumentFragment

    public org.w3c.dom.DocumentFragment createDocumentFragment()

  Not yet implemented.

### createElement

    public org.w3c.dom.Element createElement(java.lang.String tagName)

  Creates an element, the type of which depends on the specified tag name.

  Specified by:
    `createElement` in interface `org.w3c.dom.Document`
  Specified by:
    `createElement` in class `SgmlPage`
  Parameters:
    `tagName` - the tag name which determines the type of element to be created
  Returns:
    an element, the type of which depends on the specified tag name

### createElementNS

    public org.w3c.dom.Element createElementNS(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName)

  Create a new Element with the given namespace and qualified name. Not yet implemented.

  Specified by:
    `createElementNS` in interface `org.w3c.dom.Document`
  Specified by:
    `createElementNS` in class `SgmlPage`
  Parameters:
    `namespaceURI` - the URI that identifies an XML namespace
    `qualifiedName` - the qualified name of the element type to instantiate
  Returns:
    the new element

### createEntityReference

    public org.w3c.dom.EntityReference createEntityReference(java.lang.String name)

  Not yet implemented.

### createProcessingInstruction

    public DomProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                                java.lang.String data)

### createTextNode

    public org.w3c.dom.Text createTextNode(java.lang.String data)

  Not yet implemented.

### getDocumentURI

    public java.lang.String getDocumentURI()

  Not yet implemented.

### getDomConfig

    public org.w3c.dom.DOMConfiguration getDomConfig()

  Not yet implemented.

### getElementById

    public org.w3c.dom.Element getElementById(java.lang.String elementId)

  Not yet implemented.

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String tagname)

  Not yet implemented.

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespace,
                                                       java.lang.String name)

  Not yet implemented.

### getImplementation

    public org.w3c.dom.DOMImplementation getImplementation()

  Not yet implemented.

### getInputEncoding

    public java.lang.String getInputEncoding()

  Not yet implemented.

### getStrictErrorChecking

    public boolean getStrictErrorChecking()

  Not yet implemented.

### getXmlEncoding

    public java.lang.String getXmlEncoding()

  Not yet implemented.

### getXmlStandalone

    public boolean getXmlStandalone()

  Not yet implemented.

### getXmlVersion

    public java.lang.String getXmlVersion()

  Not yet implemented.

### importNode

    public org.w3c.dom.Node importNode(org.w3c.dom.Node importedNode,
                                       boolean deep)

  Not yet implemented.

### renameNode

    public org.w3c.dom.Node renameNode(org.w3c.dom.Node n,
                                       java.lang.String namespaceURI,
                                       java.lang.String qualifiedName)

  Not yet implemented.

### setDocumentURI

    public void setDocumentURI(java.lang.String documentURI)

  Not yet implemented.

### setStrictErrorChecking

    public void setStrictErrorChecking(boolean strictErrorChecking)

  Not yet implemented.

### setXmlStandalone

    public void setXmlStandalone(boolean xmlStandalone)

  Not yet implemented.

### setXmlVersion

    public void setXmlVersion(java.lang.String xmlVersion)

  Not yet implemented.

### getPageEncoding

    public java.lang.String getPageEncoding()

  Returns the page encoding. Not yet implemented.

  Specified by:
    `getPageEncoding` in class `SgmlPage`
  Returns:
    the page encoding

### setDocumentType

    protected void setDocumentType(DomDocumentType type)

  Sets the document type.

  Overrides:
    `setDocumentType` in class `SgmlPage`
  Parameters:
    `type` - the document type

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.